import { Account, Address, NetworkType, SignedTransaction, Transaction } from 'symbol-sdk';
import { CertificatePair, KeyName } from '../';
export interface AccountResolver {
    resolveAccount(networkType: NetworkType, account: CertificatePair | undefined, keyName: KeyName, nodeName: string, operationDescription: string, generateErrorMessage: string | undefined): Promise<Account>;
    shouldAnnounce(transaction: Transaction, signedTransaction: SignedTransaction, transactionDescription: string): Promise<boolean>;
    resolveCosigners(networkType: NetworkType, expectedAddresses: Address[], minApproval: number): Promise<Account[]>;
}
export declare class DefaultAccountResolver implements AccountResolver {
    shouldAnnounce(): Promise<boolean>;
    resolveCosigners(): Promise<Account[]>;
    resolveAccount(networkType: NetworkType, account: CertificatePair | undefined, keyName: KeyName, nodeName: string, operationDescription: string, generateErrorMessage: string | undefined): Promise<Account>;
    generateNewAccount(networkType: NetworkType): Account;
}
