import { NetworkType } from 'symbol-sdk';
import { Logger } from '../logger';
import { CertificatePair } from '../model';
import { AccountResolver } from './AccountResolver';
export interface AgentCertificateParams {
    readonly target: string;
    readonly user: string;
    readonly accountResolver: AccountResolver;
}
export interface AgentCertificates {
    readonly agent: CertificatePair;
}
export interface AgentCertificateMetadata {
    readonly agentPublicKey: string;
    readonly version: number;
}
export declare class AgentCertificateService {
    private readonly logger;
    protected readonly params: AgentCertificateParams;
    private static readonly METADATA_VERSION;
    constructor(logger: Logger, params: AgentCertificateParams);
    run(networkType: NetworkType, symbolServerImage: string, name: string, providedCertificates: AgentCertificates, customCertFolder?: string): Promise<void>;
    private shouldGenerateCertificate;
    private createCertCommands;
}
