import { AccountInfo, Deadline, PublicAccount, RepositoryFactory, Transaction, UInt64 } from 'symbol-sdk';
import { Addresses, ConfigPreset, Logger, NodeAccount, NodePreset } from '../';
import { AccountResolver } from './AccountResolver';
export interface TransactionFactoryParams {
    presetData: ConfigPreset;
    nodePreset: NodePreset;
    nodeAccount: NodeAccount;
    mainAccountInfo: AccountInfo;
    mainAccount: PublicAccount;
    deadline: Deadline;
    maxFee: UInt64;
    latestFinalizedBlockEpoch: number;
}
export interface TransactionFactory {
    createTransactions(params: TransactionFactoryParams): Promise<Transaction[]>;
}
export declare class AnnounceService {
    private readonly logger;
    private readonly accountResolver;
    constructor(logger: Logger, accountResolver: AccountResolver);
    private static onProcessListener;
    announce(repositoryFactory: RepositoryFactory, providedMaxFee: number | undefined, ready: boolean | undefined, presetData: ConfigPreset, addresses: Addresses, transactionFactory: TransactionFactory, tokenAmount?: string): Promise<void>;
    private getAccountInfo;
    private getMultisigAccount;
    private getBestCosigner;
    private isAccountEmpty;
}
