import { Account, Address, NetworkType, SignedTransaction, Transaction } from 'symbol-sdk';
import { AccountResolver, CertificatePair, KeyName, Logger } from '../';
export declare class BootstrapAccountResolver implements AccountResolver {
    private readonly logger;
    constructor(logger: Logger);
    resolveAccount(networkType: NetworkType, account: CertificatePair | undefined, keyName: KeyName, nodeName: string, operationDescription: string, generateErrorMessage: string | undefined): Promise<Account>;
    shouldAnnounce(transaction: Transaction, signedTransaction: SignedTransaction, transactionDescription: string): Promise<boolean>;
    resolveCosigners(networkType: NetworkType, expectedAddresses: Address[], minApproval: number): Promise<Account[]>;
}
