import { flags } from '@oclif/command';
import { IOptionFlag } from '@oclif/command/lib/flags';
import { IBooleanFlag } from '@oclif/parser/lib/flags';
import { Logger } from '../';
export declare class BootstrapCommandUtils {
    static passwordPromptDefaultMessage: string;
    static helpFlag: IBooleanFlag<void>;
    static targetFlag: IOptionFlag<string>;
    static passwordFlag: IOptionFlag<string | undefined>;
    static noPasswordFlag: IBooleanFlag<boolean>;
    static announceFlags: {
        password: flags.IOptionFlag<string | undefined>;
        noPassword: IBooleanFlag<boolean>;
        url: flags.IOptionFlag<string>;
        useKnownRestGateways: IBooleanFlag<boolean>;
        ready: IBooleanFlag<boolean>;
        maxFee: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        customPreset: flags.IOptionFlag<string | undefined>;
    };
    static showBanner(): void;
    static getPasswordFlag(description: string): IOptionFlag<string | undefined>;
    static isValidPassword(input: string | undefined): boolean | string;
    static resolvePassword(logger: Logger, providedPassword: string | undefined, noPassword: boolean, message: string, log: boolean): Promise<string | undefined>;
}
