import { Transaction } from 'symbol-sdk';
import { Addresses, ConfigPreset, LinkServiceTransactionFactoryParams, Logger, TransactionFactory } from '../';
/**
 * params necessary to announce link transactions network.
 */
export declare type LinkParams = {
    target: string;
    password?: string;
    url: string;
    maxFee?: number | undefined;
    unlink: boolean;
    useKnownRestGateways: boolean;
    ready?: boolean;
    customPreset?: string;
    removeOldLinked?: boolean;
    confirmUnlink: <T>(params: {
        removeOldLinked?: boolean;
        ready?: boolean;
    }) => (accountName: string, alreadyLinkedAccount: T, print: (account: T) => string) => Promise<boolean>;
};
export declare class LinkService implements TransactionFactory {
    private readonly logger;
    protected readonly params: LinkParams;
    static readonly defaultParams: LinkParams;
    private readonly configLoader;
    constructor(logger: Logger, params: LinkParams);
    run(passedPresetData?: ConfigPreset | undefined, passedAddresses?: Addresses | undefined): Promise<void>;
    createTransactions(params: LinkServiceTransactionFactoryParams): Promise<Transaction[]>;
}
