import { Deadline, Transaction, UInt64 } from 'symbol-sdk';
import { Addresses, ConfigPreset, Logger, NodeAccount, NodePreset, TransactionFactory } from '../';
export declare type RewardProgramParams = {
    target: string;
    password?: string;
    url: string;
    maxFee?: number;
    useKnownRestGateways: boolean;
    ready?: boolean;
    customPreset?: string;
};
export interface RewardProgramServiceTransactionFactoryParams {
    presetData: ConfigPreset;
    nodePreset: NodePreset;
    nodeAccount: NodeAccount;
    deadline: Deadline;
    maxFee: UInt64;
}
export declare class RewardProgramService implements TransactionFactory {
    private readonly logger;
    protected readonly params: RewardProgramParams;
    static readonly defaultParams: RewardProgramParams;
    private readonly configLoader;
    constructor(logger: Logger, params: RewardProgramParams);
    enroll(passedPresetData?: ConfigPreset | undefined, passedAddresses?: Addresses | undefined): Promise<void>;
    createTransactions({ presetData, nodePreset, nodeAccount, deadline, maxFee, }: RewardProgramServiceTransactionFactoryParams): Promise<Transaction[]>;
}
